
use bookex.dta, clear

keep if sample1==1
drop if totalkids==0
drop if school==5
recode school 2=1 3=2 4=3
label define educ 1 "Hauptschule" 2 "Realschule" 3 "Gymnasium"
label values school educ
gen year=gebjahr+14
ren marital mothmarried
ren educyear motheduc
ren empllevel mothemp
ren gebjahr birthyr
ren totalkids totkids
ren birtho parity
gen linc=ln(posthhinc)
gen lsize=ln(memberinhh)
drop  memberinhh childreninhh posthhinc sample1

gen motheduc2=1
replace motheduc2=2 if motheduc>10
replace motheduc2=3 if motheduc>12

order school birthyr female totkids parity linc lsize fedstate mothmarried motheduc motheduc2 mothemp year

label var school "child's secondary school level"
label var birthyr "year of birth"
label var female "=1 if child is female"
label var totkids "total number of kids living in household"
label var parity "birth order"
label var linc "logarithmic household income"
label var lsize "logarithmic household size"
label var fedstate "federal state of residence"
label var mothmarried "=1 if mother is married"
label var motheduc "mother's educational level in years"
label var motheduc2 "mother's educational level in categories"
label var mothemp "employment level of mother"
label var year "gsoep wave"


saveold school.dta, replace



